Hey all,

I've been working on improving parameter handling for ask queries and introduced a first batch of changes in 1.6 with backwards compatibility for older query printers. SMW 1.6.2 and trunk contain the next (and final) batch of changes which break compatibility with query printers not making use of the new handling. This means that

* older query printers (ie those of SRF 1.5.x) will likely not fully work or completely fail with SMW >= 1.6.2
* new query printers (ie those that will be in SRF > 1.6.2) will not work with SMW < 1.6, and might have issues with < 1.6.2.

* people running SRF should not upgrade SMW to 1.6.2 or later just yet (SRF still needs to catch up to the changes in SMW).
* people that have extensions with query printers should be aware of the compatibility changes and make the needed changes at the appropriate time

Let me know if you have any specific questions.

The timeline query printer in SRF has been updated to work with SMW 1.6.3 yesterday, so that's one you can look at as example of how the new handling works.

Cheers

--
Jeroen De Dauw
http://www.bn2vs.com
Don't panic. Don't be evil.
--